This week's giveaway is in the JDBC forum.
We're giving away four copies of Java Database Connections & Transactions (e-book only) and have Marco Behler on-line!
See this thread for details.
Win a copy of Java Database Connections & Transactions (e-book only) this week in the JDBC forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Devaka Cooray
  • Knute Snortum
  • Paul Clapham
  • Tim Cooke
Sheriffs:
  • Liutauras Vilda
  • Jeanne Boyarsky
  • Bear Bibeault
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Ron McLeod
  • Piet Souris
  • Frits Walraven
Bartenders:
  • Ganesh Patekar
  • Tim Holloway
  • salvin francis

Using old wsdl in wildfly10  RSS feed

 
Greenhorn
Posts: 24
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I'm trying yo use an old wsdl in wildfly10.
Using to tool SoapUI, i can access the apis.

I first try to generate the wsdl into java, using cxf wsdl2java, but got the error message: "Rpc/encoded wsdls are not supported with CXF"

so i used asix2.

now when trying to access the APIs i'm getting the following error:
 
Sheriff
Posts: 21747
102
Chrome Eclipse IDE Java Spring Ubuntu VI Editor Windows
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
There appears to be a bug in your WSDL itself. The error message says that at location 1,1 (the first character), it expects a < but finds a B. Can you show us the file?
 
daphna deutsch
Greenhorn
Posts: 24
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
these are the first lines from the wsdl


It's not mine, i need to access a third party.
Using SoapUI tool i can access it.

Thanks
 
Bartender
Posts: 322
24
Eclipse IDE Firefox Browser
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
That WSDL is very old. I'm thinking from the error message in your first post, and the year generated in your second post, that this is from a time before XSD schemas were used. Instead, schemas were presented in rpc/encoded formats. Unfortunately, the current JAXWS 2.0 standard no longer supports rpc/encoded WSDLs.

One option would be to download the WSDL and comment out the reference to the rpc/encoded schema. It'll look something like:
Then, use wsimport to setup you Java classes using the modified WSDL without schema validation support.
http://docs.oracle.com/javase/7/docs/technotes/tools/share/wsimport.html

Alternatively, you'll need to locate an old version of an import utility that supports JAX-RPC 1.1
 
No matter. Try again. Fail again. Fail better. This time, do it with this tiny ad:
how do I do my own kindle-like thing - without amazon
https://coderanch.com/t/711421/engineering/kindle-amazon
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!